#ifndef DURATION_H
#define DURATION_H

#include "port.h"
#ifdef NON_UNIX
#ifdef WIN32
#include <sys/types.h>
#include <sys/timeb.h>
#endif

#else
#include <sys/time.h>
#include <unistd.h>
#endif

typedef unsigned long DUR_TYPE;

class Duration
{
public:
  Duration();
  void reset(){ m_max = 0; }
  void start();
  DUR_TYPE stop();
  DUR_TYPE getMax() { return m_max; }

private:
  bool getTime(TIMEVAL_TYPE *tv);

  DUR_TYPE m_max;
  TIMEVAL_TYPE m_start;
};


#endif
